/*
 * Rahmenwerk-Plug-in "Anlagenstatus"
 * Copyright (C) 2010 BitCtrl Systems GmbH
 * 
 * This program is free software; you can redistribute it and/or modify it under
 * the terms of the GNU General Public License as published by the Free Software
 * Foundation; either version 2 of the License, or (at your option) any later
 * version.
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU General Public License for more
 * details.
 *
 * You should have received a copy of the GNU General Public License along with
 * this program; if not, write to the Free Software Foundation, Inc., 51
 * Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 *
 * Contact Information:
 * BitCtrl Systems GmbH
 * Weissenfelser Strasse 67
 * 04229 Leipzig
 * Phone: +49 341-490670
 * mailto: info@bitctrl.de
 */

package de.bsvrz.buv.plugin.anlagenstatus.tooltips;

import org.eclipse.draw2d.Label;

import de.bsvrz.buv.plugin.anlagenstatus.parts.AnlagenStatusEditPart;
import de.bsvrz.sys.funclib.bitctrl.modell.tmkextlsglobal.konfigurationsdaten.KdEak.Daten;
import de.bsvrz.sys.funclib.bitctrl.modell.tmkextlsglobal.objekte.Eak;

/**
 * Info-Tooltip-Figur fr die Darstellung der Daten eines EAK
 * 
 * Im Infofenster werden Daten der Attributgruppe VerkehrsdatenKurzzeitMq unter
 * dem Aspekt &quot;Analyse&quot; dargestellt. Wenn es sich bei dem bergebenen
 * Messquerschnitt um eine Instanz des Typs {@link MessQuerschnitt} handelt,
 * wird das Fenster um eine Tabelle ergnzt, in der fr die enthalten
 * Fahrstreifen Werte der Attributgruppe VerkehrsdatenKurzzeitIntervall unter
 * dem Aspekt &quot;Externe Erfassung&quot; dargestellt werden.
 * 
 * @author BitCtrl Systems GmbH, peuker
 * @version $Id: EakTooltip.java 25543 2010-08-13 15:46:03Z Schumann $
 */
class EakTooltip extends AnlagenStatusToolTipFigure {
	/**
	 * Konstruktor, erzeugt eine Info-Popup-Figur fr den bergebenen De.
	 * 
	 * @param eak
	 *            EAK
	 * @param part
	 *            AnlagenStatusEditPart
	 */
	EakTooltip(final Eak eak, final AnlagenStatusEditPart part) {
		super(eak, part);
		final Daten datum = eak.getKdEak().getDatum();
		add(new Label("OSI2-Adresse:"));
		add(new Label(datum.getOSI2Adresse().toString()));
		add(new Label("Umsetzungsmodul:"));
		add(new Label(datum.getUmsetzungsModul()));
	}

	// /**
	// * @param eak
	// * @return
	// */
	// private String getBezeichnungText(final Eak eak) {
	// String text = "";
	//
	// final Daten datum = eak.getKdEak().getDatum();
	//
	// text = datum.getBezeichnung();
	// if (text == null || text.length() == 0) {
	// text = eak.getName();
	// }
	// return text;
	// }
}
