/**
 * <copyright>
 * </copyright>
 *
 * $Id$
 */
package de.bsvrz.buv.plugin.anlagenstatus.util;

import com.bitctrl.lib.eclipse.emf.eclipse.model.Named;

import com.bitctrl.lib.eclipse.emf.gef.model.Located;

import de.bsvrz.buv.plugin.anlagenstatus.*;

import de.bsvrz.buv.plugin.dobj.decorator.model.SkalierungDecorator;

import de.bsvrz.buv.plugin.dobj.decorator.model.ZoomVerhaltenFixDecorator;
import de.bsvrz.buv.plugin.dobj.model.BitCtrlDoModel;
import de.bsvrz.buv.plugin.dobj.model.ConfiguratedDoTyp;
import de.bsvrz.buv.plugin.dobj.model.DoKomponente;
import de.bsvrz.buv.plugin.dobj.model.DoModel;

import de.bsvrz.buv.plugin.dobj.model.DoTyp;
import de.bsvrz.sys.funclib.bitctrl.modell.SystemObjekt;

import org.eclipse.emf.common.notify.Adapter;
import org.eclipse.emf.common.notify.Notifier;

import org.eclipse.emf.common.notify.impl.AdapterFactoryImpl;

import org.eclipse.emf.ecore.EObject;

/**
 * <!-- begin-user-doc -->
 * The <b>Adapter Factory</b> for the model.
 * It provides an adapter <code>createXXX</code> method for each class of the model.
 * <!-- end-user-doc -->
 * @see de.bsvrz.buv.plugin.anlagenstatus.AnlagenstatusPackage
 * @generated
 */
public class AnlagenstatusAdapterFactory extends AdapterFactoryImpl {
	/**
	 * The cached model package.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected static AnlagenstatusPackage modelPackage;

	/**
	 * Creates an instance of the adapter factory.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public AnlagenstatusAdapterFactory() {
		if (modelPackage == null) {
			modelPackage = AnlagenstatusPackage.eINSTANCE;
		}
	}

	/**
	 * Returns whether this factory is applicable for the type of the object.
	 * <!-- begin-user-doc -->
	 * This implementation returns <code>true</code> if the object is either the model's package or is an instance object of the model.
	 * <!-- end-user-doc -->
	 * @return whether this factory is applicable for the type of the object.
	 * @generated
	 */
	@Override
	public boolean isFactoryForType(Object object) {
		if (object == modelPackage) {
			return true;
		}
		if (object instanceof EObject) {
			return ((EObject) object).eClass().getEPackage() == modelPackage;
		}
		return false;
	}

	/**
	 * The switch that delegates to the <code>createXXX</code> methods.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected AnlagenstatusSwitch<Adapter> modelSwitch = new AnlagenstatusSwitch<Adapter>() {
		@Override
		public Adapter caseAnlagenstatusDoModel(AnlagenstatusDoModel object) {
			return createAnlagenstatusDoModelAdapter();
		}

		@Override
		public Adapter caseAnlagenstatusDoTyp(AnlagenstatusDoTyp object) {
			return createAnlagenstatusDoTypAdapter();
		}

		@Override
		public Adapter caseNamed(Named object) {
			return createNamedAdapter();
		}

		@Override
		public Adapter caseLocated(Located object) {
			return createLocatedAdapter();
		}

		@Override
		public Adapter caseDoKomponente(DoKomponente object) {
			return createDoKomponenteAdapter();
		}

		@Override
		public Adapter caseDoModel(DoModel object) {
			return createDoModelAdapter();
		}

		@Override
		public <T extends SystemObjekt> Adapter caseBitCtrlDoModel(
				BitCtrlDoModel<T> object) {
			return createBitCtrlDoModelAdapter();
		}

		@Override
		public Adapter caseSkalierungDecorator(SkalierungDecorator object) {
			return createSkalierungDecoratorAdapter();
		}

		@Override
		public Adapter caseDoTyp(DoTyp object) {
			return createDoTypAdapter();
		}

		@Override
		public Adapter caseConfiguratedDoTyp(ConfiguratedDoTyp object) {
			return createConfiguratedDoTypAdapter();
		}

		@Override
		public Adapter caseZoomVerhaltenFixDecorator(
				ZoomVerhaltenFixDecorator object) {
			return createZoomVerhaltenFixDecoratorAdapter();
		}

		@Override
		public Adapter defaultCase(EObject object) {
			return createEObjectAdapter();
		}
	};

	/**
	 * Creates an adapter for the <code>target</code>.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param target the object to adapt.
	 * @return the adapter for the <code>target</code>.
	 * @generated
	 */
	@Override
	public Adapter createAdapter(Notifier target) {
		return modelSwitch.doSwitch((EObject) target);
	}

	/**
	 * Creates a new adapter for an object of class '{@link de.bsvrz.buv.plugin.anlagenstatus.AnlagenstatusDoModel <em>Do Model</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see de.bsvrz.buv.plugin.anlagenstatus.AnlagenstatusDoModel
	 * @generated
	 */
	public Adapter createAnlagenstatusDoModelAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link de.bsvrz.buv.plugin.anlagenstatus.AnlagenstatusDoTyp <em>Do Typ</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see de.bsvrz.buv.plugin.anlagenstatus.AnlagenstatusDoTyp
	 * @generated
	 */
	public Adapter createAnlagenstatusDoTypAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link com.bitctrl.lib.eclipse.emf.eclipse.model.Named <em>Named</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see com.bitctrl.lib.eclipse.emf.eclipse.model.Named
	 * @generated
	 */
	public Adapter createNamedAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link com.bitctrl.lib.eclipse.emf.gef.model.Located <em>Located</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see com.bitctrl.lib.eclipse.emf.gef.model.Located
	 * @generated
	 */
	public Adapter createLocatedAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link de.bsvrz.buv.plugin.dobj.model.DoKomponente <em>Do Komponente</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see de.bsvrz.buv.plugin.dobj.model.DoKomponente
	 * @generated
	 */
	public Adapter createDoKomponenteAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link de.bsvrz.buv.plugin.dobj.model.DoModel <em>Do Model</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see de.bsvrz.buv.plugin.dobj.model.DoModel
	 * @generated
	 */
	public Adapter createDoModelAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link de.bsvrz.buv.plugin.dobj.model.BitCtrlDoModel <em>Bit Ctrl Do Model</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see de.bsvrz.buv.plugin.dobj.model.BitCtrlDoModel
	 * @generated
	 */
	public Adapter createBitCtrlDoModelAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link de.bsvrz.buv.plugin.dobj.decorator.model.SkalierungDecorator <em>Skalierung Decorator</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see de.bsvrz.buv.plugin.dobj.decorator.model.SkalierungDecorator
	 * @generated
	 */
	public Adapter createSkalierungDecoratorAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link de.bsvrz.buv.plugin.dobj.model.DoTyp <em>Do Typ</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see de.bsvrz.buv.plugin.dobj.model.DoTyp
	 * @generated
	 */
	public Adapter createDoTypAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link de.bsvrz.buv.plugin.dobj.model.ConfiguratedDoTyp <em>Configurated Do Typ</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see de.bsvrz.buv.plugin.dobj.model.ConfiguratedDoTyp
	 * @generated
	 */
	public Adapter createConfiguratedDoTypAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link de.bsvrz.buv.plugin.dobj.decorator.model.ZoomVerhaltenFixDecorator <em>Zoom Verhalten Fix Decorator</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see de.bsvrz.buv.plugin.dobj.decorator.model.ZoomVerhaltenFixDecorator
	 * @generated
	 */
	public Adapter createZoomVerhaltenFixDecoratorAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for the default case.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @generated
	 */
	public Adapter createEObjectAdapter() {
		return null;
	}

} //AnlagenstatusAdapterFactory
